Query Project Logs
curl --request GET \
--url https://api.example.com/api/v1/projects/{project_slug}/data/logs \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v1/projects/{project_slug}/data/logs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.example.com/api/v1/projects/{project_slug}/data/logs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"timestamp": "2023-11-07T05:31:56Z",
"app_id": "<string>",
"environment": "<string>",
"level": "<string>",
"message": "<string>",
"logger_name": "<string>",
"payload": "<string>",
"attributes": {}
}
],
"total_count": 123,
"page": 123,
"page_size": 123
}Projects
Query Project Logs
Query raw log data across all apps in a project (or specific apps).
Filters:
- app_slugs: Comma-separated app slugs (e.g., “api,worker”)
- environment: Filter by environment name
- levels: Comma-separated log levels (e.g., “ERROR,WARNING”)
- search: Search in message, logger_name, or attributes
- loggers: Comma-separated logger names
- since/until: ISO8601 timestamps for time range
- page/page_size: Pagination controls
GET
/
api
/
v1
/
projects
/
{project_slug}
/
data
/
logs
Query Project Logs
curl --request GET \
--url https://api.example.com/api/v1/projects/{project_slug}/data/logs \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v1/projects/{project_slug}/data/logs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.example.com/api/v1/projects/{project_slug}/data/logs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"timestamp": "2023-11-07T05:31:56Z",
"app_id": "<string>",
"environment": "<string>",
"level": "<string>",
"message": "<string>",
"logger_name": "<string>",
"payload": "<string>",
"attributes": {}
}
],
"total_count": 123,
"page": 123,
"page_size": 123
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.